Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing.model
Class DescribeInstanceHealthResult

    java.lang.Object
      com.amazonaws.services.elasticloadbalancing.model.DescribeInstanceHealthResult

    public class DescribeInstanceHealthResult

extends Object

Describe Instance Health Result

Constructor Summary
`DescribeInstanceHealthResult()`

Method Summary
`List<InstanceState>` | `getInstanceStates()` Returns the value of the InstanceStates property for this object.
`void` | `setInstanceStates(Collection<InstanceState> instanceStates)` Sets the value of the InstanceStates property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeInstanceHealthResult` | `withInstanceStates(Collection<InstanceState> instanceStates)` Sets the value of the InstanceStates property for this object.
`DescribeInstanceHealthResult` | `withInstanceStates(InstanceState... instanceStates)` Sets the value of the InstanceStates property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeInstanceHealthResult

    public DescribeInstanceHealthResult()

Method Detail

### getInstanceStates

    public List<InstanceState> getInstanceStates()

  Returns the value of the InstanceStates property for this object.

  Returns:
    The value of the InstanceStates property for this object.

### setInstanceStates

    public void setInstanceStates(Collection<InstanceState> instanceStates)

  Sets the value of the InstanceStates property for this object.

  Parameters:
    `instanceStates` - The new value for the InstanceStates property for this object.

### withInstanceStates

    public DescribeInstanceHealthResult withInstanceStates(InstanceState... instanceStates)

  Sets the value of the InstanceStates property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceStates` - The new value for the InstanceStates property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withInstanceStates

    public DescribeInstanceHealthResult withInstanceStates(Collection<InstanceState> instanceStates)

  Sets the value of the InstanceStates property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceStates` - The new value for the InstanceStates property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.